package log

func init() {
	logger = NewLogger()
}

func Debug(format string, v ...interface{}) {
	logger.Debug(format, v...)
}

func Info(format string, v ...interface{}) {
	logger.Info(format, v...)
}

func Notice(format string, v ...interface{}) {
	logger.Notice(format, v...)
}

func Warn(format string, v ...interface{}) {
	logger.Warn(format, v...)
}

func Error(format string, v ...interface{}) {
	logger.Error(format, v...)
}

func SetLogger(handlerType string, config map[string]interface{}) {
	logger.SetLogger(handlerType, config)
}

func SetLevel(level int) {
	logger.SetLevel(level)
}